import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../repository/shop_repository.dart';

class PurchaseUseCase implements UseCase<DataState<String>, PurchaseParams> {
  final ShopRepository repository;
  PurchaseUseCase(this.repository);

  @override
  Future<DataState<String>> call(PurchaseParams params) =>
      repository.purchase(params);
}
